%define ver 0.0.3
%define rel 1

Summary: Japanese Kana Kanji conversion library (libkkc)
Name: libkkc
Version: %{ver}
Release: %{rel}%{_dist_release}
License: GPLv3
Group: System Environment/Libraries
URL: https://bitbucket.org/libkkc/libkkc/
Source0: https://bitbucket.org/libkkc/libkkc/downloads/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgee06-devel
BuildRequires: json-glib-devel
BuildRequires: marisa-trie-devel
BuildRequires: vala-devel
BuildRequires: vala-tools

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
libkkc provides a converter from Kana-string to
Kana-Kanji-mixed-string.  It was named after kkc.el in GNU Emacs, a
simple Kana Kanji converter, while libkkc tries to convert sentences
in a bit more complex way using N-gram language models.

%package devel
Summary: Header files and libraries for developing apps which will use libkkc
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The libkkc-devel package contains the header files and libraries.

%prep
%setup -q

%build
%configure --enable-shared --enable-vala=yes
%__make

%install
%__rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove files
%__rm -f $RPM_BUILD_ROOT%{_libdir}/libkkc.la

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README ChangeLog COPYING AUTHORS NEWS
%{_bindir}/kkc
%{_libdir}/libkkc.so.*
%{_libdir}/girepository-1.0/Kkc-1.0.typelib
%dir %{_datadir}/libkkc
%{_datadir}/libkkc/rules

%files devel
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%dir %{_includedir}/libkkc
%{_includedir}/libkkc/libkkc.h
%{_libdir}/libkkc.so
%{_libdir}/pkgconfig/libkkc.pc
%{_datadir}/gir-1.0/Kkc-1.0.gir
%{_datadir}/vala/vapi/kkc-1.0.deps
%{_datadir}/vala/vapi/kkc-1.0.vapi

%changelog
* Mon Jan 28 2013 IWAI, Masaharu <iwai@alib.jp> 0.0.3-1
- initial build for Vine Linux

